Skip to main content
GET
/
v2
/
topics
/
{topicName}
curl https://qstash.upstash.io/v2/topics/my-topic \
  -H "Authorization: Bearer <token>"
{
 
  "createdAt": 1623345678001,
  "updatedAt": 1623345678001,
  "name": "my-topic",
  "endpoints": [
    {
      "name": "my-endpoint",
      "url": "https://my-endpoint.com"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://upstash-fix-issues-on-docs.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Request

topicName
string
required
The name of the topic to retrieve.

Response

createdAt
int
required
The creation time of the topic. UnixMilli
updatedAt
int
required
The update time of the topic. UnixMilli
name
string
required
The name of the topic.
endpoints
Array
required
curl https://qstash.upstash.io/v2/topics/my-topic \
  -H "Authorization: Bearer <token>"
{
 
  "createdAt": 1623345678001,
  "updatedAt": 1623345678001,
  "name": "my-topic",
  "endpoints": [
    {
      "name": "my-endpoint",
      "url": "https://my-endpoint.com"
    }
  ]
}